from kuukar.kuukar import kuukar
import KeyPressModule as kp

car = kuukar()
kp.init()

def main(self):

    if kp.getKey('UP'):
        car.motion.skt_drive(0.4,0.0,0.05)
    elif kp.getKey('DOWN'):
        car.motion.skt_drive(-0.4,0.0,0.05)
    elif kp.getKey('LEFT'):
        car.motion.skt_drive(0.5,0.3,0.05)
    elif kp.getKey('RIGHT'):
        car.motion.skt_drive(0.5,-0.3,0.05)
    else:
        car.motion.stop()

if __name__ == '__main__':
    while True:
        main()